공개 APIAPI 레퍼런스Builds

빌드 배포에서 업로드가 필요한 객체를 조회합니다

베타 API

/v1 API 계약은 변경될 수 있으며, 호환되지 않는 변경도 별칭 없이 배포될 수 있습니다.

POST/v1/build-jobs/{jobId}/deployment/objects

배포 업로드와 동일한 활성 작업의 ntrob_ Bearer job token이 필요합니다. objects에 SHA-256과 바이트 크기를 전달하면 작업의 App에 없는 객체 digest를 missing으로 반환합니다. 요청 전체는 최대 100,000개 객체이며 파일과 압축 변형을 합산합니다. 배포를 생성하거나 작업의 제출 상태를 변경하지 않습니다.

경로 매개변수

jobId*string

요청 본문

application/json

TypeScript 타입 정의

Use the request body type in TypeScript.

응답 본문

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/build-jobs/string/deployment/objects" \  -H "Content-Type: application/json" \  -d '{    "objects": [      {        "sha256": "string",        "size": 0      }    ]  }'
{  "missing": [    "string"  ]}